Bug 123680 - initscripts conflicts with pppd
initscripts conflicts with pppd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
: 123782 127599 127644 (view as bug list)
Depends On: 123697
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 19:30 EDT by Thomas Covello
Modified: 2014-03-16 22:45 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 15:13:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Covello 2004-05-19 19:30:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
yum reports a conflict between initscripts and pppd

Version-Release number of selected component (if applicable):
initscripts-7.53-1

How reproducible:
Always

Steps to Reproduce:
yum -y update
Comment 1 Matthew Miller 2004-05-20 13:12:28 EDT
Here's the problem: initscripts has:

  Conflicts: [...] pppd < 2.3.9 [...]

This is wrong, because there isn't a pppd package -- it's ppp.

It wasn't a problem before, because nothing, as far as I can tell,
provided "pppd" at all, so nothing conflicted. I checked all the way
back to Red Hat Linux 6.0. Therefore, this line also probably didn't
do what it was _meant_ to do either, but no one noticed.

Now, for some reason, the rawhide/development ppp package (2.4.2-2.2)
provides "pppd", with no version attached. (This is kind of perplexing
in and of itself, as nothing in the spec file related to this sort of
thing seems to have been altered at all. And the older 2.4.2-2 package
 *doesn't* provided pppd when rebuilt. But no matter what is causing
it to appear, having this provided without a version is what causes
the problem -- "no version" is < 2.3.9.

One fix would maybe to change ppp to provide pppd =
%{version}-%{release}. But that seems kinda silly -- I think the
correct thing to do is to just change the conflicts line to be correct
("ppp < 2.3.9") -- or even just remove it, since we seem to have been
getting along just fine.

Comment 2 Thomas Woerner 2004-05-21 07:24:58 EDT

*** This bug has been marked as a duplicate of 123697 ***
Comment 3 Thomas Woerner 2004-05-21 07:26:47 EDT
*** Bug 123782 has been marked as a duplicate of this bug. ***
Comment 4 Matthew Miller 2004-05-21 09:08:01 EDT
Okay, bug #123782 explains why pppd is suddenly showing up in
provides. But I'm still pretty sure that this is a typo in initscripts
that ought to be corrected.
Comment 5 Bill Nottingham 2004-05-24 17:34:58 EDT
Typo fixed in the next initscripts build.It's only about 4 years old.

In any case, this *is* a bug in rpm with a bogus provide in the ppp
package.

*** This bug has been marked as a duplicate of 123679 ***
Comment 6 Kenneth Porter 2004-06-25 03:51:40 EDT
Typo in bug report of Tom's report of 5/21. This is not a duplicate of
bug 123697, but of bug 123679 as Bill reports.
Comment 7 Bill Nottingham 2004-06-28 17:16:58 EDT
Erm, don't mind me.

*** This bug has been marked as a duplicate of 123697 ***
Comment 8 Matthew Miller 2004-07-10 12:54:02 EDT
*** Bug 127599 has been marked as a duplicate of this bug. ***
Comment 9 Alexandre Oliva 2004-07-10 16:37:04 EDT
This is not fixed until the initscripts build is pushed out as an
update for FC2.  Sure the original cause of the problem is the rpm
issue, but fixed packages have to be pushed out anyway, and having
this bug as a dup of a bug on rpm is not going to be a good reminder
of the need for pushing the fix out.
Comment 10 Thomas Chung 2004-07-10 16:50:53 EDT
This is a reminder that you can track this bug report from our Fedora
Advisory page:

http://fedoranews.org/updates/FEDORA-2004-214.shtml

Thomas Chung
FeodraNEWS.ORG

Comment 11 H. Peter Anvin 2004-07-11 15:51:00 EDT
Since this bug blocks ANY automated updating of any Fedora system
(e.g. up2date -u), this should be considered a very severe bug, since
it will prevent Fedora users worldwide from updating in the event of
security bugs; they may not even know that they're not getting updated.
Comment 12 Thomas Chung 2004-07-11 16:13:11 EDT
Here is a workaround suggested by Pedro Fernandes Macedo

http://www.redhat.com/archives/fedora-list/2004-July/msg02051.html

Thomas Chung
FedoraNEWS.ORG
Comment 13 Scott Gifford 2004-07-12 11:15:22 EDT
*** Bug 127644 has been marked as a duplicate of this bug. ***
Comment 14 Scott Gifford 2004-07-12 11:18:40 EDT
Adding "up2date" to the summary line might make this more findable (at
least I would have found it, instead of filing a dup)
Comment 15 Matthew Miller 2004-07-12 11:49:05 EDT
As in "initscripts conflicts with pppd; this has nothing specifically
to do with up2date at all"? :)
Comment 16 Scott Gifford 2004-07-12 12:16:00 EDT
Matthew - 

My only point is that if FC2 puts a giant red blinking exclamation
point in the corner of the screen, this glowing bit of punctuation
runs up2date, and up2date gives an error, you shouldn't be surprised
if a user without deep knowledge of the packaging system (like me)
thinks this is a bug in up2date.  Certainly running up2date is the
most likely way a user will encounter this bug, and the error doesn't
indicate the bug is elsewhere.

And if many users perceive this as a bug in up2date, you shouldn't be
surprised if that's what they search for when looking for duplicate
bugs.  And if they don't find any duplicate bugs with their search,
you shouldn't be surprised if they file a new bug, which turns out to
be a dup of this one.

<shrug> Or maybe it's just me.  :)
Comment 17 Need Real Name 2004-07-12 12:50:58 EDT
Installing initscripts-7.59-1.i386.rpm or
initscripts-7.59-1.x86_64.rpm first or at the same time resloves the
problem.

Note You need to log in before you can comment on or make changes to this bug.